Subject: Re: locking api self-test hanging

From: Andrew Morton <[email-masked]>
Date: Mon, 4 Feb 2008 04:43:04 -0800

On Sun, 3 Feb 2008 15:07:44 -0800 Andrew Morton <[email-masked]> wrote:

> On Sun, 3 Feb 2008 15:02:46 -0800 Andrew Morton <[email-masked]> wrote:
> 
> > 
> > With current mainline I'm getting intermittent hangs here:
> > 
> > 	http://userweb.kernel.org/~akpm/p2033590.jpg
> > 
> > with this config:
> > 
> > 	http://userweb.kernel.org/~akpm/config-sony.txt
> > 
> > on the Vaio.  Sometimes it boots (then hits another different hang),
> > sometimes it gets stuck there.

CONFIG_DEBUG_LOCKING_API_SELFTESTS=n fixed that up.

> 
> The second hang is in kobject_uevent_init().  All that function does is call
> netlink_kernel_create().

And I've fully bisected this hang twice and both times came up with

commit 33f807ba0d9259e7c75c7a2ce8bd2787e5b540c7
Author: Stephen Hemminger <[email-masked]>
Date:   Mon Nov 19 19:24:52 2007 -0800

    [NETPOLL]: Kill NETPOLL_RX_DROP, set but never tested.

which is stupid because that patch doesn't do anything.

However I am using netconsole-over-e100 and the hang does go away when I
disable netconsole on the kernel boot command line.

I'd say it's some timing thing in netpoll/netconsole/napi/etc.